Ntifs.REPARSE_DATA_BUFFER.ByReference (JNA API)

com.sun.jna.platform.win32

## Class Ntifs.REPARSE_DATA_BUFFER.ByReference

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Ntifs.REPARSE_DATA_BUFFER
    - - com.sun.jna.platform.win32.Ntifs.REPARSE_DATA_BUFFER.ByReference

- All Implemented Interfaces:
    Structure.ByReference
  Enclosing class:
    Ntifs.REPARSE_DATA_BUFFER

      public static class Ntifs.REPARSE_DATA_BUFFER.ByReference
      extends Ntifs.REPARSE_DATA_BUFFER
      implements Structure.ByReference

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.Ntifs.REPARSE_DATA_BUFFER

      `Ntifs.REPARSE_DATA_BUFFER.ByReference, Ntifs.REPARSE_DATA_BUFFER.REPARSE_UNION`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    - ### Fields inherited from class com.sun.jna.platform.win32.Ntifs.REPARSE_DATA_BUFFER

      `ReparseDataLength, ReparseTag, Reserved, u`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByReference()`
    `ByReference(Pointer memory)`

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.Ntifs.REPARSE_DATA_BUFFER

      `getSize, read, sizeOf`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByReference

          public ByReference()

    - #### ByReference

          public ByReference(Pointer memory)

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.